# Makefile.in generated by automake 1.11.6 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

VPATH = @srcdir@
am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
DIST_COMMON = $(dist_noinst_DATA) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in \
	$(top_srcdir)/examples/Makefile.am_fragment
check_PROGRAMS = coordinates/example$(EXEEXT) \
	custom_item/example$(EXEEXT) demo/example$(EXEEXT) \
	drag_to_canvas/example$(EXEEXT) simple/example$(EXEEXT) \
	moving_shapes/example$(EXEEXT) table/example$(EXEEXT) \
	tablemodel/example$(EXEEXT) text/example$(EXEEXT)
subdir = examples
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/build/libtool.m4 \
	$(top_srcdir)/build/ltoptions.m4 \
	$(top_srcdir)/build/ltsugar.m4 \
	$(top_srcdir)/build/ltversion.m4 \
	$(top_srcdir)/build/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/build/config.h \
	$(top_builddir)/goocanvas/goocanvasmmconfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__dirstamp = $(am__leading_dot)dirstamp
am_coordinates_example_OBJECTS = coordinates/main.$(OBJEXT) \
	coordinates/window.$(OBJEXT)
coordinates_example_OBJECTS = $(am_coordinates_example_OBJECTS)
coordinates_example_LDADD = $(LDADD)
am__DEPENDENCIES_1 =
coordinates_example_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_custom_item_example_OBJECTS = custom_item/main.$(OBJEXT) \
	custom_item/exampleitem.$(OBJEXT) \
	custom_item/examplewindow.$(OBJEXT)
custom_item_example_OBJECTS = $(am_custom_item_example_OBJECTS)
custom_item_example_LDADD = $(LDADD)
custom_item_example_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_demo_example_OBJECTS = demo/main.$(OBJEXT) \
	demo/primitives.$(OBJEXT) demo/window.$(OBJEXT)
demo_example_OBJECTS = $(am_demo_example_OBJECTS)
demo_example_LDADD = $(LDADD)
demo_example_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_drag_to_canvas_example_OBJECTS = drag_to_canvas/main.$(OBJEXT) \
	drag_to_canvas/examplewindow.$(OBJEXT)
drag_to_canvas_example_OBJECTS = $(am_drag_to_canvas_example_OBJECTS)
drag_to_canvas_example_LDADD = $(LDADD)
drag_to_canvas_example_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_moving_shapes_example_OBJECTS = moving_shapes/main.$(OBJEXT) \
	moving_shapes/window.$(OBJEXT)
moving_shapes_example_OBJECTS = $(am_moving_shapes_example_OBJECTS)
moving_shapes_example_LDADD = $(LDADD)
moving_shapes_example_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_simple_example_OBJECTS = simple/main.$(OBJEXT) \
	simple/examplewindow.$(OBJEXT)
simple_example_OBJECTS = $(am_simple_example_OBJECTS)
simple_example_LDADD = $(LDADD)
simple_example_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_table_example_OBJECTS = table/main.$(OBJEXT) \
	table/examplewindow.$(OBJEXT)
table_example_OBJECTS = $(am_table_example_OBJECTS)
table_example_LDADD = $(LDADD)
table_example_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_tablemodel_example_OBJECTS = tablemodel/main.$(OBJEXT) \
	tablemodel/examplewindow.$(OBJEXT)
tablemodel_example_OBJECTS = $(am_tablemodel_example_OBJECTS)
tablemodel_example_LDADD = $(LDADD)
tablemodel_example_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_text_example_OBJECTS = text/main.$(OBJEXT) text/window.$(OBJEXT)
text_example_OBJECTS = $(am_text_example_OBJECTS)
text_example_LDADD = $(LDADD)
text_example_DEPENDENCIES = $(am__DEPENDENCIES_1)
depcomp = $(SHELL) $(top_srcdir)/build/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(coordinates_example_SOURCES) \
	$(custom_item_example_SOURCES) $(demo_example_SOURCES) \
	$(drag_to_canvas_example_SOURCES) \
	$(moving_shapes_example_SOURCES) $(simple_example_SOURCES) \
	$(table_example_SOURCES) $(tablemodel_example_SOURCES) \
	$(text_example_SOURCES)
DIST_SOURCES = $(coordinates_example_SOURCES) \
	$(custom_item_example_SOURCES) $(demo_example_SOURCES) \
	$(drag_to_canvas_example_SOURCES) \
	$(moving_shapes_example_SOURCES) $(simple_example_SOURCES) \
	$(table_example_SOURCES) $(tablemodel_example_SOURCES) \
	$(text_example_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(dist_noinst_DATA)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
ACLOCAL_FLAGS = @ACLOCAL_FLAGS@
AMTAR = @AMTAR@
AR = @AR@
AS = @AS@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DOCINSTALL_FLAGS = @DOCINSTALL_FLAGS@
DOT = @DOT@
DOXYGEN = @DOXYGEN@
DOXYGEN_TAGFILES = @DOXYGEN_TAGFILES@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
GMMPROC_DIR = @GMMPROC_DIR@
GMMPROC_EXTRA_M4_DIR = @GMMPROC_EXTRA_M4_DIR@
GOOCANVASMM_API_VERSION = @GOOCANVASMM_API_VERSION@
GOOCANVASMM_CFLAGS = @GOOCANVASMM_CFLAGS@
GOOCANVASMM_LIBS = @GOOCANVASMM_LIBS@
GOOCANVASMM_MAJOR_VERSION = @GOOCANVASMM_MAJOR_VERSION@
GOOCANVASMM_MICRO_VERSION = @GOOCANVASMM_MICRO_VERSION@
GOOCANVASMM_MINOR_VERSION = @GOOCANVASMM_MINOR_VERSION@
GOOCANVASMM_MODULES = @GOOCANVASMM_MODULES@
GOOCANVASMM_MODULE_NAME = @GOOCANVASMM_MODULE_NAME@
GOOCANVASMM_SO_VERSION = @GOOCANVASMM_SO_VERSION@
GOOCANVASMM_VERSION = @GOOCANVASMM_VERSION@
GOOCANVASMM_WXXFLAGS = @GOOCANVASMM_WXXFLAGS@
GREP = @GREP@
GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = $(LIBGOOCANVASMM_LIBS) $(local_goocanvasmm_lib) 
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
MMDOCTOOLDIR = @MMDOCTOOLDIR@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
XSLTPROC = @XSLTPROC@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
local_goocanvasmm_lib = $(top_builddir)/goocanvas/goocanvasmm/libgoocanvasmm-@GOOCANVASMM_API_VERSION@.la
all_includes = -I$(top_builddir)/goocanvas -I$(top_srcdir)/goocanvas \
               $(LIBGOOCANVASMM_CFLAGS)

DEFAULT_INCLUDES = 
INCLUDES = -I. -I$(srcdir) $(strip $(all_includes))
AUTOMAKE_OPTIONS = subdir-objects
AM_CPPFLAGS = -I$(top_builddir) $(GOOCANVASMM_CFLAGS)
AM_CXXFLAGS = $(GOOCANVASMM_WXXFLAGS)
LDADD = $(GOOCANVASMM_LIBS)
coordinates_example_SOURCES = \
  coordinates/main.cc \
  coordinates/window.cc \
  coordinates/window.h

custom_item_example_SOURCES = \
  custom_item/main.cc \
  custom_item/exampleitem.cc \
  custom_item/exampleitem.h \
  custom_item/examplewindow.cc \
  custom_item/examplewindow.h

demo_example_SOURCES = \
  demo/main.cc \
  demo/page.h \
  demo/primitives.h \
  demo/primitives.cc \
  demo/window.cc \
  demo/window.h

drag_to_canvas_example_SOURCES = \
  drag_to_canvas/main.cc \
  drag_to_canvas/examplewindow.cc \
  drag_to_canvas/examplewindow.h

simple_example_SOURCES = \
  simple/main.cc \
  simple/examplewindow.cc \
  simple/examplewindow.h

moving_shapes_example_SOURCES = \
  moving_shapes/main.cc \
  moving_shapes/window.cc \
  moving_shapes/window.h

table_example_SOURCES = \
  table/main.cc \
  table/examplewindow.cc \
  table/examplewindow.h

tablemodel_example_SOURCES = \
  tablemodel/main.cc \
  tablemodel/examplewindow.cc \
  tablemodel/examplewindow.h

text_example_SOURCES = \
  text/main.cc \
  text/window.cc \
  text/window.h

dist_noinst_DATA = \
	demo/demo.glade \
	demo/flower.png \
	demo/toroid.png

all: all-am

.SUFFIXES:
.SUFFIXES: .cc .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/examples/Makefile.am_fragment $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu examples/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu examples/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;
$(top_srcdir)/examples/Makefile.am_fragment:

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
coordinates/$(am__dirstamp):
	@$(MKDIR_P) coordinates
	@: > coordinates/$(am__dirstamp)
coordinates/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) coordinates/$(DEPDIR)
	@: > coordinates/$(DEPDIR)/$(am__dirstamp)
coordinates/main.$(OBJEXT): coordinates/$(am__dirstamp) \
	coordinates/$(DEPDIR)/$(am__dirstamp)
coordinates/window.$(OBJEXT): coordinates/$(am__dirstamp) \
	coordinates/$(DEPDIR)/$(am__dirstamp)
coordinates/example$(EXEEXT): $(coordinates_example_OBJECTS) $(coordinates_example_DEPENDENCIES) $(EXTRA_coordinates_example_DEPENDENCIES) coordinates/$(am__dirstamp)
	@rm -f coordinates/example$(EXEEXT)
	$(CXXLINK) $(coordinates_example_OBJECTS) $(coordinates_example_LDADD) $(LIBS)
custom_item/$(am__dirstamp):
	@$(MKDIR_P) custom_item
	@: > custom_item/$(am__dirstamp)
custom_item/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) custom_item/$(DEPDIR)
	@: > custom_item/$(DEPDIR)/$(am__dirstamp)
custom_item/main.$(OBJEXT): custom_item/$(am__dirstamp) \
	custom_item/$(DEPDIR)/$(am__dirstamp)
custom_item/exampleitem.$(OBJEXT): custom_item/$(am__dirstamp) \
	custom_item/$(DEPDIR)/$(am__dirstamp)
custom_item/examplewindow.$(OBJEXT): custom_item/$(am__dirstamp) \
	custom_item/$(DEPDIR)/$(am__dirstamp)
custom_item/example$(EXEEXT): $(custom_item_example_OBJECTS) $(custom_item_example_DEPENDENCIES) $(EXTRA_custom_item_example_DEPENDENCIES) custom_item/$(am__dirstamp)
	@rm -f custom_item/example$(EXEEXT)
	$(CXXLINK) $(custom_item_example_OBJECTS) $(custom_item_example_LDADD) $(LIBS)
demo/$(am__dirstamp):
	@$(MKDIR_P) demo
	@: > demo/$(am__dirstamp)
demo/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) demo/$(DEPDIR)
	@: > demo/$(DEPDIR)/$(am__dirstamp)
demo/main.$(OBJEXT): demo/$(am__dirstamp) \
	demo/$(DEPDIR)/$(am__dirstamp)
demo/primitives.$(OBJEXT): demo/$(am__dirstamp) \
	demo/$(DEPDIR)/$(am__dirstamp)
demo/window.$(OBJEXT): demo/$(am__dirstamp) \
	demo/$(DEPDIR)/$(am__dirstamp)
demo/example$(EXEEXT): $(demo_example_OBJECTS) $(demo_example_DEPENDENCIES) $(EXTRA_demo_example_DEPENDENCIES) demo/$(am__dirstamp)
	@rm -f demo/example$(EXEEXT)
	$(CXXLINK) $(demo_example_OBJECTS) $(demo_example_LDADD) $(LIBS)
drag_to_canvas/$(am__dirstamp):
	@$(MKDIR_P) drag_to_canvas
	@: > drag_to_canvas/$(am__dirstamp)
drag_to_canvas/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) drag_to_canvas/$(DEPDIR)
	@: > drag_to_canvas/$(DEPDIR)/$(am__dirstamp)
drag_to_canvas/main.$(OBJEXT): drag_to_canvas/$(am__dirstamp) \
	drag_to_canvas/$(DEPDIR)/$(am__dirstamp)
drag_to_canvas/examplewindow.$(OBJEXT):  \
	drag_to_canvas/$(am__dirstamp) \
	drag_to_canvas/$(DEPDIR)/$(am__dirstamp)
drag_to_canvas/example$(EXEEXT): $(drag_to_canvas_example_OBJECTS) $(drag_to_canvas_example_DEPENDENCIES) $(EXTRA_drag_to_canvas_example_DEPENDENCIES) drag_to_canvas/$(am__dirstamp)
	@rm -f drag_to_canvas/example$(EXEEXT)
	$(CXXLINK) $(drag_to_canvas_example_OBJECTS) $(drag_to_canvas_example_LDADD) $(LIBS)
moving_shapes/$(am__dirstamp):
	@$(MKDIR_P) moving_shapes
	@: > moving_shapes/$(am__dirstamp)
moving_shapes/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) moving_shapes/$(DEPDIR)
	@: > moving_shapes/$(DEPDIR)/$(am__dirstamp)
moving_shapes/main.$(OBJEXT): moving_shapes/$(am__dirstamp) \
	moving_shapes/$(DEPDIR)/$(am__dirstamp)
moving_shapes/window.$(OBJEXT): moving_shapes/$(am__dirstamp) \
	moving_shapes/$(DEPDIR)/$(am__dirstamp)
moving_shapes/example$(EXEEXT): $(moving_shapes_example_OBJECTS) $(moving_shapes_example_DEPENDENCIES) $(EXTRA_moving_shapes_example_DEPENDENCIES) moving_shapes/$(am__dirstamp)
	@rm -f moving_shapes/example$(EXEEXT)
	$(CXXLINK) $(moving_shapes_example_OBJECTS) $(moving_shapes_example_LDADD) $(LIBS)
simple/$(am__dirstamp):
	@$(MKDIR_P) simple
	@: > simple/$(am__dirstamp)
simple/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) simple/$(DEPDIR)
	@: > simple/$(DEPDIR)/$(am__dirstamp)
simple/main.$(OBJEXT): simple/$(am__dirstamp) \
	simple/$(DEPDIR)/$(am__dirstamp)
simple/examplewindow.$(OBJEXT): simple/$(am__dirstamp) \
	simple/$(DEPDIR)/$(am__dirstamp)
simple/example$(EXEEXT): $(simple_example_OBJECTS) $(simple_example_DEPENDENCIES) $(EXTRA_simple_example_DEPENDENCIES) simple/$(am__dirstamp)
	@rm -f simple/example$(EXEEXT)
	$(CXXLINK) $(simple_example_OBJECTS) $(simple_example_LDADD) $(LIBS)
table/$(am__dirstamp):
	@$(MKDIR_P) table
	@: > table/$(am__dirstamp)
table/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) table/$(DEPDIR)
	@: > table/$(DEPDIR)/$(am__dirstamp)
table/main.$(OBJEXT): table/$(am__dirstamp) \
	table/$(DEPDIR)/$(am__dirstamp)
table/examplewindow.$(OBJEXT): table/$(am__dirstamp) \
	table/$(DEPDIR)/$(am__dirstamp)
table/example$(EXEEXT): $(table_example_OBJECTS) $(table_example_DEPENDENCIES) $(EXTRA_table_example_DEPENDENCIES) table/$(am__dirstamp)
	@rm -f table/example$(EXEEXT)
	$(CXXLINK) $(table_example_OBJECTS) $(table_example_LDADD) $(LIBS)
tablemodel/$(am__dirstamp):
	@$(MKDIR_P) tablemodel
	@: > tablemodel/$(am__dirstamp)
tablemodel/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) tablemodel/$(DEPDIR)
	@: > tablemodel/$(DEPDIR)/$(am__dirstamp)
tablemodel/main.$(OBJEXT): tablemodel/$(am__dirstamp) \
	tablemodel/$(DEPDIR)/$(am__dirstamp)
tablemodel/examplewindow.$(OBJEXT): tablemodel/$(am__dirstamp) \
	tablemodel/$(DEPDIR)/$(am__dirstamp)
tablemodel/example$(EXEEXT): $(tablemodel_example_OBJECTS) $(tablemodel_example_DEPENDENCIES) $(EXTRA_tablemodel_example_DEPENDENCIES) tablemodel/$(am__dirstamp)
	@rm -f tablemodel/example$(EXEEXT)
	$(CXXLINK) $(tablemodel_example_OBJECTS) $(tablemodel_example_LDADD) $(LIBS)
text/$(am__dirstamp):
	@$(MKDIR_P) text
	@: > text/$(am__dirstamp)
text/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) text/$(DEPDIR)
	@: > text/$(DEPDIR)/$(am__dirstamp)
text/main.$(OBJEXT): text/$(am__dirstamp) \
	text/$(DEPDIR)/$(am__dirstamp)
text/window.$(OBJEXT): text/$(am__dirstamp) \
	text/$(DEPDIR)/$(am__dirstamp)
text/example$(EXEEXT): $(text_example_OBJECTS) $(text_example_DEPENDENCIES) $(EXTRA_text_example_DEPENDENCIES) text/$(am__dirstamp)
	@rm -f text/example$(EXEEXT)
	$(CXXLINK) $(text_example_OBJECTS) $(text_example_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)
	-rm -f coordinates/main.$(OBJEXT)
	-rm -f coordinates/window.$(OBJEXT)
	-rm -f custom_item/exampleitem.$(OBJEXT)
	-rm -f custom_item/examplewindow.$(OBJEXT)
	-rm -f custom_item/main.$(OBJEXT)
	-rm -f demo/main.$(OBJEXT)
	-rm -f demo/primitives.$(OBJEXT)
	-rm -f demo/window.$(OBJEXT)
	-rm -f drag_to_canvas/examplewindow.$(OBJEXT)
	-rm -f drag_to_canvas/main.$(OBJEXT)
	-rm -f moving_shapes/main.$(OBJEXT)
	-rm -f moving_shapes/window.$(OBJEXT)
	-rm -f simple/examplewindow.$(OBJEXT)
	-rm -f simple/main.$(OBJEXT)
	-rm -f table/examplewindow.$(OBJEXT)
	-rm -f table/main.$(OBJEXT)
	-rm -f tablemodel/examplewindow.$(OBJEXT)
	-rm -f tablemodel/main.$(OBJEXT)
	-rm -f text/main.$(OBJEXT)
	-rm -f text/window.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@coordinates/$(DEPDIR)/main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@coordinates/$(DEPDIR)/window.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@custom_item/$(DEPDIR)/exampleitem.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@custom_item/$(DEPDIR)/examplewindow.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@custom_item/$(DEPDIR)/main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@demo/$(DEPDIR)/main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@demo/$(DEPDIR)/primitives.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@demo/$(DEPDIR)/window.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@drag_to_canvas/$(DEPDIR)/examplewindow.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@drag_to_canvas/$(DEPDIR)/main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@moving_shapes/$(DEPDIR)/main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@moving_shapes/$(DEPDIR)/window.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@simple/$(DEPDIR)/examplewindow.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@simple/$(DEPDIR)/main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@table/$(DEPDIR)/examplewindow.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@table/$(DEPDIR)/main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@tablemodel/$(DEPDIR)/examplewindow.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@tablemodel/$(DEPDIR)/main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@text/$(DEPDIR)/main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@text/$(DEPDIR)/window.Po@am__quote@

.cc.o:
@am__fastdepCXX_TRUE@	depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<

.cc.obj:
@am__fastdepCXX_TRUE@	depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cc.lo:
@am__fastdepCXX_TRUE@	depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
	-rm -rf coordinates/.libs coordinates/_libs
	-rm -rf custom_item/.libs custom_item/_libs
	-rm -rf demo/.libs demo/_libs
	-rm -rf drag_to_canvas/.libs drag_to_canvas/_libs
	-rm -rf moving_shapes/.libs moving_shapes/_libs
	-rm -rf simple/.libs simple/_libs
	-rm -rf table/.libs table/_libs
	-rm -rf tablemodel/.libs tablemodel/_libs
	-rm -rf text/.libs text/_libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
check: check-am
all-am: Makefile $(DATA)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
	-rm -f coordinates/$(DEPDIR)/$(am__dirstamp)
	-rm -f coordinates/$(am__dirstamp)
	-rm -f custom_item/$(DEPDIR)/$(am__dirstamp)
	-rm -f custom_item/$(am__dirstamp)
	-rm -f demo/$(DEPDIR)/$(am__dirstamp)
	-rm -f demo/$(am__dirstamp)
	-rm -f drag_to_canvas/$(DEPDIR)/$(am__dirstamp)
	-rm -f drag_to_canvas/$(am__dirstamp)
	-rm -f moving_shapes/$(DEPDIR)/$(am__dirstamp)
	-rm -f moving_shapes/$(am__dirstamp)
	-rm -f simple/$(DEPDIR)/$(am__dirstamp)
	-rm -f simple/$(am__dirstamp)
	-rm -f table/$(DEPDIR)/$(am__dirstamp)
	-rm -f table/$(am__dirstamp)
	-rm -f tablemodel/$(DEPDIR)/$(am__dirstamp)
	-rm -f tablemodel/$(am__dirstamp)
	-rm -f text/$(DEPDIR)/$(am__dirstamp)
	-rm -f text/$(am__dirstamp)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
	mostlyclean-am

distclean: distclean-am
	-rm -rf coordinates/$(DEPDIR) custom_item/$(DEPDIR) demo/$(DEPDIR) drag_to_canvas/$(DEPDIR) moving_shapes/$(DEPDIR) simple/$(DEPDIR) table/$(DEPDIR) tablemodel/$(DEPDIR) text/$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf coordinates/$(DEPDIR) custom_item/$(DEPDIR) demo/$(DEPDIR) drag_to_canvas/$(DEPDIR) moving_shapes/$(DEPDIR) simple/$(DEPDIR) table/$(DEPDIR) tablemodel/$(DEPDIR) text/$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: check-am install-am install-strip

.PHONY: CTAGS GTAGS all all-am check check-am clean \
	clean-checkPROGRAMS clean-generic clean-libtool ctags \
	distclean distclean-compile distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-info \
	install-info-am install-man install-pdf install-pdf-am \
	install-ps install-ps-am install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags uninstall uninstall-am


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
